package com.ylx.web.controller.massage;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.common.core.controller.BaseController;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TJsDay;
import com.ylx.massage.service.TJsDayService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 技师数据统计(TJsDay)表控制层
 *
 * @author makejava
 * @since 2024-08-14 18:00:30
 */
@RestController
@RequestMapping("tJsDay")
public class TJsDayController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private TJsDayService tJsDayService;

    /**
     * 分页查询所有数据
     *
     * @param page   分页对象
     * @param tJsDay 查询实体
     * @return 所有数据
     */
    @GetMapping
    public R selectAll(Page<TJsDay> page, TJsDay tJsDay) {
        return R.ok(this.tJsDayService.page(page, new QueryWrapper<>(tJsDay)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public R selectOne(@PathVariable Serializable id) {
        return R.ok(this.tJsDayService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param tJsDay 实体对象
     * @return 新增结果
     */
    @PostMapping
    public R insert(@RequestBody TJsDay tJsDay) {
        return R.ok(this.tJsDayService.save(tJsDay));
    }

    /**
     * 修改数据
     *
     * @param tJsDay 实体对象
     * @return 修改结果
     */
    @PutMapping
    public R update(@RequestBody TJsDay tJsDay) {
        return R.ok(this.tJsDayService.updateById(tJsDay));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @DeleteMapping
    public R delete(@RequestParam("idList") List<Long> idList) {
        return R.ok(this.tJsDayService.removeByIds(idList));
    }
}

